# class Object::Syck::DomainType

Define YAML::DomainType class

### Attributes

domain[RW]
type_id[RW]
value[RW]

### Public Class Methods

new(p1, p2, p3) click to toggle source

YAML::DomainType.initialize

    VALUE
    syck_domaintype_initialize(VALUE self, VALUE domain, VALUE type_id, VALUE val)
    {
        rb_iv_set( self, "@domain", domain );
        rb_iv_set( self, "@type_id", type_id );
        rb_iv_set( self, "@value", val );
        return self;
    }